<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio 8-4</title>
</head>
<script src="https://kit.fontawesome.com/a076d05399.js"></script>
<style>
    body {
		  margin: auto;
		}
        #contenedor{
        min-width: 320px;
        margin: 10px 2px;
        
        }
    header{
            width: 80%;
            display: flex;
            justify-content: space-around;
            padding:2px 20px;
            box-sizing:border-box;
            flex-wrap: nowrap;
            
        }
        form{
            flex-grow:2;
            padding: 0 5px;
            box-sizing: border-box;
            text-align: center;
            display: flex;
            flex-wrap: nowrap;
            

        }
        form input[type="search"]{
            width:60%;
            
        }
        form input[type="submit"]{
            margin-left: 30px;
            width:20% ;
        }
        #topleft{
            display: flex;
            flex-wrap: nowrap;
            margin-right: 30px;
        }
        .lista_img{
            width: 20%;

        }
        .lista_img ul{
            list-style:none;
            margin:0;
            padding:0;
        }
        #caja_derecha{
            width: 30%;
            text-align: center;
        }
        #imagen{
            width: 50%;
            
        }
        main{
            width: 80%;
            display: flex;
            flex-wrap: wrap;
            margin:30px;
        }
        #parrafo{
            width: 80%;
        }
</style>
<body>
    <div id="contenedor">
        <header>
            <div id="topleft">
                <img src="https://via.placeholder.com/200x60" alt="">
            </div>
            <form>
                <input type="search" placeholder="Buscar...">
                <input type="submit" value="Buscar">
            </form>
    
        </header>
        <main>
            <div class="lista_img">
                <ul>
                <li><img src="https://via.placeholder.com/100x100" alt=""></li>
                <li><img src="https://via.placeholder.com/100x100" alt=""></li>
                <li><img src="https://via.placeholder.com/100x100" alt=""></li>
                <li><img src="https://via.placeholder.com/100x100" alt=""></li>
                </ul>
            </div>
            <div id="imagen">
                <img src="https://via.placeholder.com/500x400" alt="">
            </div>
            <div id="caja_derecha">
                <h1>Producto</h1>
                <i class="fa fa-star" aria-hidden="true" style="font-size:30px;"></i>
                <i class="fa fa-star" aria-hidden="true" style="font-size:30px;"></i>
                <i class="fa fa-star" aria-hidden="true" style="font-size:30px;"></i>
                <i class="fa fa-star" aria-hidden="true"style="color:#D3D3D3;font-size:30px;"></i>
                <i class="fa fa-star" aria-hidden="true"style="color:#D3D3D3;font-size:30px;"></i>
                <form >
                    <label>Cantidad</label>
                    <input type="number" id="quantity" name="quantity" min="0" max="10" step="1" value="1">
                    <input type="submit" value="Comprar">

                </form>
            </div>

        </main>
        <div id="parrafo">
            <p>Lorem ipsum, dolor sit amet consectetur adipisicing elit. Ex, ullam. Quae cumque nihil, blanditiis voluptates sint, pariatur quo veritatis ipsa vero magni asperiores perferendis nemo id, necessitatibus maiores vitae iusto nobis obcaecati minus repudiandae. At nemo quo sit. Est impedit iusto corporis beatae nobis quia blanditiis nesciunt rerum, nemo aspernatur quasi laboriosam ipsa, atque excepturi fuga ea reiciendis inventore accusamus omnis repudiandae veritatis magni itaque. Laborum debitis, temporibus eum commodi, iste ducimus quas, doloribus minima ad culpa ut soluta aliquid. Pariatur nulla exercitationem deserunt suscipit earum quod, animi optio vero, dolores ipsam error ipsum distinctio minima quis quam obcaecati quas illum? Sit architecto sapiente nesciunt reiciendis tempore cupiditate, a molestias asperiores iusto excepturi officia placeat ad nemo. Accusamus nihil reprehenderit ducimus, doloribus placeat quas, provident est ratione neque natus, nemo dignissimos molestias esse vel! Est at sit nam nisi in repudiandae numquam, ipsam iste maxime deserunt animi, distinctio eveniet voluptates.</p>

        </div>


    </div>
</body>
</html>